! ~/bin/myclip.x <in.H chop=[0] clip_to=[20] less=true
! the value is 'less' or greater than 'chop' will be set to 'clip_to'
program myclip
  use sep
  use util_axisIO


  implicit none

 
  integer			:: n1, n2, n3, i1, i2, i3
  real				:: clip_to,chop
  logical			:: less
  real, allocatable 		:: in(:, :, :), out(:, :, :)




  call sep_init()


	
  call from_history ('n1',n1)
  call from_history ('n2',n2)
  call from_history ('n3',n3)

  call from_param('chop',chop,0.)
  call from_param('clip_to', clip_to, 20.)
  call from_param('less', less, .true.)

	if (less) then	
		  write(0,*) "less"
	else
		  write(0,*) "greater"
	end if		



  allocate(in(n1, n2, n3),out(n1 ,n2, n3) )

  call sep_read(in)
  out = in
  do i1=1,n1
  do i2=1,n2 
  do i3=1,n3
	if (less) then	
   		  if (in(i1, i2, i3) .lt. chop) then
			out(i1, i2, i3) = clip_to
   		  end if
	else
   		  if (in(i1, i2, i3) .gt. chop) then
			out(i1, i2, i3) = clip_to
   		  end if
	end if		
  end do
  end do
  end do


  call sep_write(out)
  deallocate(in, out)


  call sep_close()
end program

